=== debian/changelog ===
alljoyn-thin-client-1504 (15.04b-3) unstable; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: add salsa URLs
  * debian/control: change prio extra to optional
  * debian/copyright: use https

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Feb 2018 11:01:37 +0100

alljoyn-thin-client-1504 (15.04b-2) unstable; urgency=medium

  * move package to debian-iot-maintainer
  * add VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Dec 2016 18:28:32 +0100

alljoyn-thin-client-1504 (15.04b-1) unstable; urgency=medium

  * Initial release (Closes: #827401)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Jun 2016 19:28:32 +0200
